Page tree
Skip to end of metadata
Go to start of metadata

Upgrade to JDK 11. There are a variety of JDK vendors. We test with the Azul Zulu JDK 11. Our only known requirement beyond JDK11 is that tomcat's https should recognize contemporary root certificates.

If you wish to use Azul Zulu JDK 11 follow the Zulu Installation Guide . Otherwise, follow the instructions from your preferred vendor.

No matter which option you choose to install JDK, be sure that your tomcat environment uses the correct "JAVA_HOME" and "JRE_HOME" values. Set them in /opt/shrine/tomcat/bin/setenv.sh :

setenv.sh
...
export JAVA_HOME=/opt/where_your_jdk_lives
export JRE_HOME=$JAVA_HOME
... 


Additionally, you should make sure to upgrade your JDBC driver.  You will need to use an appropriate driver and url for your database. The driver must support JDK 11 and later. 

Place the driver in /opt/shrine/tomcat/lib and remove any prior versions of the driver before restarting SHRINE.

Note: The java.endorsed.dirs (Endorsed Directories) system property is not supported JDK 11. You may need to remove this property from the Tomcat startup scripts (catalina.sh) if this is enabled.

  • No labels